curl --location 'https://treasury.uat.fomoapis.com/v1/internal-transfer-creation-intents' \
--header 'x-fomo-api-version: v20260326' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"receiving_balance_id": "string",
"receiving_asset": "fiat/SGD",
"receiving_amount": "string",
"remark": "string",
"source_of_fund": {
"type": "balance",
"detail": {
"quote_id": "string",
"balance_id": "string"
}
},
"supporting_information": [
{
"type": "purpose-of-payment",
"description": "string",
"file_ids": [
"string"
]
}
]
}'{
"id": "string",
"create_time": "string",
"update_time": "string",
"token": "string",
"etag": "string",
"life_cycle": "pending-requirements",
"result": "pending",
"fail_reason": "same-balance",
"customer_id": "string",
"receiving_balance_id": "string",
"receiving_asset": "fiat/SGD",
"receiving_amount": "string",
"remark": "string",
"requirements": [
"unknown"
],
"submitted_requirements": [
"unknown"
],
"source_of_fund": {
"type": "balance",
"detail": {
"quote_id": "string",
"balance_id": "string"
}
},
"supporting_information": [
{
"type": "purpose-of-payment",
"description": "string",
"file_ids": [
"string"
]
}
],
"confirm_time": "string",
"approve_time": "string",
"complete_time": "string",
"internal_transfer_id": "string"
}